MD5校验

GETPOST 加密解密

校验文本的MD5哈希值是否匹配

GET https://api.tinyaii.cn/v1/md5/verify

请求参数

参数名类型必填说明示例
textstring必填原始文本hello
hashstring必填MD5哈希值5d41402abc4b2a76b9719d911017c592

返回字段

字段类型说明
codeint状态码
matchbool是否匹配
textstring原始文本
hashstring计算的MD5值

返回示例

{
  "code": 200,
  "data": {
    "match": True,
    "text": "hello",
    "hash": "5d41402abc4b2a76b9719d911017c592"
  },
  "message": "success"
}

调用示例

curl "https://api.tinyaii.cn/v1/md5/verify?text=hello&hash=5d41402abc4b2a76b9719d911017c592" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/md5/verify?text=hello&hash=5d41402abc4b2a76b9719d911017c592", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/md5/verify",
    params={"text": "hello", "hash": "5d41402abc4b2a76b9719d911017c592"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。